org.apache.pdfbox.pdmodel.graphics.shading

## Class PDShadingType3

- java.lang.Object
- - org.apache.pdfbox.pdmodel.graphics.shading.PDShading
  - - org.apache.pdfbox.pdmodel.graphics.shading.PDShadingType2
    - - org.apache.pdfbox.pdmodel.graphics.shading.PDShadingType3

All Implemented Interfaces:
  COSObjectable

    public class PDShadingType3
    extends PDShadingType2

Resources for a radial shading.

### Field Summary

### Fields inherited from class org.apache.pdfbox.pdmodel.graphics.shading.PDShading

`SHADING_TYPE1, SHADING_TYPE2, SHADING_TYPE3, SHADING_TYPE4, SHADING_TYPE5, SHADING_TYPE6, SHADING_TYPE7`

### Constructor Summary

Constructors
Constructor and Description
`PDShadingType3(COSDictionary shadingDictionary)` Constructor using the given shading dictionary.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getShadingType()` This will return the shading type.
`Paint` `toPaint(Matrix matrix)` Returns an AWT paint which corresponds to this shading

### Methods inherited from class org.apache.pdfbox.pdmodel.graphics.shading.PDShadingType2

`getCoords, getDomain, getExtend, setCoords, setDomain, setExtend`

### Methods inherited from class org.apache.pdfbox.pdmodel.graphics.shading.PDShading

`create, evalFunction, evalFunction, getAntiAlias, getBackground, getBBox, getBounds, getColorSpace, getCOSObject, getFunction, getType, setAntiAlias, setBackground, setBBox, setColorSpace, setFunction, setFunction, setShadingType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PDShadingType3

    public PDShadingType3(COSDictionary shadingDictionary)

Constructor using the given shading dictionary.

Parameters:
  `shadingDictionary` - the dictionary for this shading

### Method Detail

#### getShadingType

    public int getShadingType()

Description copied from class: `PDShading`
This will return the shading type.

Overrides:
  `getShadingType` in class `PDShadingType2`
Returns:
  the shading typ

#### toPaint

    public Paint toPaint(Matrix matrix)

Description copied from class: `PDShading`
Returns an AWT paint which corresponds to this shading

Overrides:
  `toPaint` in class `PDShadingType2`
Parameters:
  `matrix` - the pattern matrix concatenated with that of the parent content stream, this matrix which maps the pattern's internal coordinate system to user space
Returns:
  an AWT Paint instance